Bug 12767 - Отсутствует /usr/libexec/X11/drv.d/fglrx
: Отсутствует /usr/libexec/X11/drv.d/fglrx
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/fglrx_glx)
: 4.0
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 12100
  Show dependency tree
 
Reported: 2007-09-13 18:52 by
Modified: 2008-08-27 05:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-13 18:52:55
Отсутствует /usr/libexec/X11/drv.d/fglrx

Из-за этого не работает x11setupdrv, соответственно не выставляются правильные
симлинки на libGL и в итоге не поднимается 3D. Только что нарвался на 4.0
------- Comment #1 From 2007-09-13 18:53:18 -------
reassign to mantainer
------- Comment #2 From 2007-09-15 00:42:15 -------
Почему же он работает в сизифе? test case plz.
------- Comment #3 From 2007-09-15 00:56:09 -------
testcase тривиален:
выставить в /etc/X11/xorg.conf драйвер ati
выполнить x11setupdrv

Посмотреть симлинк для libGL.so.1:
$l /etc/X11/lib/libGL.so.1 
lrwxrwxrwx 1 root root 41 Sep 15 00:50 /etc/X11/lib/libGL.so.1 ->
../../../usr/lib/X11/mesa_gl/libGL.so.1.2

Он будет настроен на mesa.

После этого сменить драйвер в конфиге на fglrx.

Выполнить x11setupdrv

Посмотреть симлинк:
$l /etc/X11/lib/libGL.so.1 
lrwxrwxrwx 1 root root 41 Sep 15 00:54 /etc/X11/lib/libGL.so.1 ->
../../../usr/lib/X11/mesa_gl/libGL.so.1.2

Он не поменялся, хотя должен был быть перенастроен на fglrx.
------- Comment #4 From 2007-09-15 00:56:46 -------
Видимо в Sisyphus он так же не работает.
------- Comment #5 From 2007-09-15 01:13:17 -------
Если выполнить x11_presetdrv (или /etc/init.d/x11_autosetup), но все ссылки
будут на месте. Если пользоваться неправильными утилитами, то будут
неправильные
действия.
------- Comment #6 From 2007-09-15 01:19:08 -------
А кто сказал что она не правильная ?
Посмотри список тех, кто от неё зависит - достаточно впечатляющий.

xorg у нас в branch-4.0 и в Sisyphus пользуется x11setupdrv, соответственно без
вариантов.

Вообще может быть нам мантейнер xorg расскажет, какая из утилит правильная и
какая из них для чего нужна ?
------- Comment #7 From 2007-09-15 01:26:13 -------
Кстати, если выполнять x11presetdrv, то ситуация тоже плохоая - при смене
драйвера с fglrx на ati симлинки не выправляются на mesa.

И судя по выводу:
# x11presetdrv 
nvidia: set version to 100.14.11 because read from
/lib/modules/2.6.18-std-smp-alt7/.versions/nvidia failed.
nvidia: failed to unlink /etc/X11/lib_nvidia/nvidia.xinf: No such file or
directory

Эта утилита сделана для использования во время загрузки - переключения настроек
драйвера nvidia с legacy на обычный и обратно.

x11setupdrv используется при смене драйвера в xorg.conf.
------- Comment #8 From 2007-09-15 01:37:14 -------
(In reply to comment #6)
> Вообще может быть нам мантейнер xorg расскажет, какая из утилит правильная и
> какая из них для чего нужна ?
> 
давно пора


(In reply to comment #7)
> Кстати, если выполнять x11presetdrv, то ситуация тоже плохоая - при смене
> драйвера с fglrx на ati симлинки не выправляются на mesa.
> 
> И судя по выводу:
> # x11presetdrv 
> nvidia: set version to 100.14.11 because read from
> /lib/modules/2.6.18-std-smp-alt7/.versions/nvidia failed.
> nvidia: failed to unlink /etc/X11/lib_nvidia/nvidia.xinf: No such file or
directory
> 
> Эта утилита сделана для использования во время загрузки - переключения настроек
> драйвера nvidia с legacy на обычный и обратно.
> 
> x11setupdrv используется при смене драйвера в xorg.conf.
> 
это все твои и мои догадки - а настоящее тайное знание доступно только избранной
кучке гуру.
------- Comment #9 From 2007-09-15 01:46:42 -------
Почему же догадки?
Вот в этом треде была активная дискуссия, с твоим участием, где авторы этой
схемы подробно рассказали что и где как работает:
http://lists.altlinux.org/pipermail/sisyphus/2007-September/207433.html
------- Comment #10 From 2007-09-15 01:49:24 -------
т.е. - drvpre.d - только в том случае, когда нужно что-то поправить в системе в
момент загрузки
drv.d - для переключения в зависимости от настроенного драйвера в xorg.conf.

Т.е. - для тебя фикс становится ещё тривиальнее - достаточно перенести файл
fglrx из drvpre.d в drv.d
------- Comment #11 From 2007-09-15 01:51:35 -------
кстати, теперь понятно почему всех пользователей 4.0 с НЕ fglrx железом спасало
удаление пакета fglrx - в момент загрузки автоматически выставлялись симлинки
на
libGL из fglrx'а.

drvpre.d выполняется независимо от того, на какой драйвер настроен xorg
------- Comment #12 From 2007-09-15 19:05:28 -------
(In reply to comment #10)
> т.е. - drvpre.d - только в том случае, когда нужно что-то поправить в системе в
> момент загрузки
> drv.d - для переключения в зависимости от настроенного драйвера в xorg.conf.
> 
> Т.е. - для тебя фикс становится ещё тривиальнее - достаточно перенести файл
> fglrx из drvpre.d в drv.d
> 

пример использования drvpre.d в студию (отсылки вида "посмотри там/здесь/"
игнорируются). Кстати, источники знаний в списке рассылки и багзилле не
считаются официальной документацией, поэтому ждем от мантейнера xorg закрепления
данного тайного знания в отдельном документе а еще лучше в макросе.
------- Comment #13 From 2007-09-15 19:07:20 -------
подключаем тяжёлую артиллерию ;)
------- Comment #14 From 2007-09-15 19:16:36 -------
про drvpre.d лично я ничего не знаю
в /usr/libexec/X11/drv.d/ кладется скрипт fglrx, который выставляет симлинки 
для fglrx при запуске x11setupdrv
------- Comment #15 From 2007-09-16 03:21:39 -------
Fixed in 8.40.4-alt2. Запрос на перекладывание пакета в 4.0 отправлен (#12788).
------- Comment #16 From 2007-09-16 03:23:04 -------
Исправление не отменяет запроса на создание внятного описания по системе
симлинков и утилит для работы с ними.
------- Comment #17 From 2007-09-16 20:57:45 -------
Немного от темы, но может быть собрать 8.41.7 и положить где-то в people ?

А то я у себя нарвался на то, что 8.41.7 работают на порядок стабильнее тех,
что
в branch/4.0 были.

Несмотря на официально неподдерживаемое этими драйверами X1400.
------- Comment #18 From 2007-09-16 21:03:14 -------
(In reply to comment #13)
> подключаем тяжёлую артиллерию ;)
(глядя в assigned) это типа "вызываем огонь на себя"? ;-)

Спасибо, мужуки, что разобрались и поправили.  Если кто-то всё-таки скажет, от
каких пор до каких законспектировать обсуждение здесь и в sisyphus@ на wiki --
сделаю.
------- Comment #19 From 2007-09-16 21:05:37 -------
(In reply to comment #17)
> Немного от темы, но может быть собрать 8.41.7 и положить где-то в people ?
С той версией, что попала в Desktop 4.0, ещё и про слой с &*^*&^ unsupported
hardware много непоняток (точнее, спрашивавшие пока 100% соотносят это с
"FTP-версией" сначала).

Давайте поставим #12100 blocker, чтоб не забыть, что к Desktop 4.0.1/DL4 надо
это порешать и проверить.
------- Comment #20 From 2007-09-16 21:07:13 -------
(In reply to comment #17)
> Немного от темы, но может быть собрать 8.41.7 и положить где-то в people ?
> 
в people/lakostis легко.

------- Comment #21 From 2007-09-16 21:53:06 -------
Да, в people/lakosts - достаточно.

там идут странные репорты о том, что например xmoto не запускается без
перекомпиляции.. но у меня на ноуте всё как-то заработало с ходу.

 надо тестировать.. предыдущие драйвера совсем кривые - Xorg падал несколько раз
в день на ровном месте (и в 3D и, например, при чтении почты)
------- Comment #22 From 2007-09-16 22:00:39 -------
(In reply to comment #21)
> Да, в people/lakosts - достаточно.
...
>  надо тестировать.. предыдущие драйвера совсем кривые - Xorg падал несколько раз
> в день на ровном месте (и в 3D и, например, при чтении почты)
в бранче xorg не падает. А в сизифе вообще не работает с fglrx. О каких падениях
мы говорим?
------- Comment #23 From 2007-09-16 22:22:25 -------
*** Bug 12631 has been marked as a duplicate of this bug. ***
------- Comment #24 From 2007-09-16 22:26:09 -------
На момент падений у меня был полностью branch-4.0.

Падения начались после того, как я обновился с "какого-то" Sisyphus до
branch-4.0 (это произошло недели две назад), и прекратились как только поставил
себе новые драйвера fglrx (которые официально unstable для X1400).

Не знаю кто тут точно виноват, но падения мне не показались. 
------- Comment #25 From 2007-09-16 22:41:45 -------
(In reply to comment #24)
> На момент падений у меня был полностью branch-4.0.
> 
> Падения начались после того, как я обновился с "какого-то" Sisyphus до
> branch-4.0 (это произошло недели две назад), и прекратились как только поставил
> себе новые драйвера fglrx (которые официально unstable для X1400).
значит, виноват xorg-x11-server - обновлялся только он. Лучше на него багу в 4.0
повесить, пусть мантейнер разбирается.
------- Comment #26 From 2007-09-16 23:02:22 -------
У меня было параллельное обновление - xorg + fglrx.

Не могу сказать кто из них виноват, но fglrx исправить намного сложнее чем
xorg.

Валера, давай мы тебе багу повесим, сможешь посмотреть что случилось ?
------- Comment #27 From 2007-09-16 23:38:05 -------
см. xorg-server-1.3.0.0-idletime.patch
------- Comment #28 From 2007-09-16 23:51:56 -------
А, т.е. ты это уже отключил ?


Отлично!
------- Comment #29 From 2007-09-19 02:30:39 -------
(In reply to comment #21)
> Да, в people/lakosts - достаточно.
> 
> там идут странные репорты о том, что например xmoto не запускается без
> перекомпиляции.. но у меня на ноуте всё как-то заработало с ходу.
> 
>  надо тестировать.. предыдущие драйвера совсем кривые - Xorg падал несколько раз
> в день на ровном месте (и в 3D и, например, при чтении почты)

ftp://ftp.altlinux.ru/pub/people/lakostis/fglrx-8.41.7/ тестируйте на здоровье.
------- Comment #30 From 2008-01-24 20:57:57 -------
*** Bug 12632 has been marked as a duplicate of this bug. ***